diff --git a/src/backend/catalog/system_views.sql b/src/backend/catalog/system_views.sql
index b65f6b5249..5a0d18d213 100644
--- a/src/backend/catalog/system_views.sql
+++ b/src/backend/catalog/system_views.sql
@@ -390,7 +390,7 @@ CREATE VIEW pg_available_extensions AS
     SELECT E.name, E.default_version, X.extversion AS installed_version,
            E.comment
       FROM pg_available_extensions() AS E
-           LEFT JOIN pg_extension AS X ON E.name = X.extname;
+           LEFT JOIN pg_extension AS X ON E.name = X.extname ORDER BY E.name;
 
 CREATE VIEW pg_available_extension_versions AS
     SELECT E.name, E.version, (X.extname IS NOT NULL) AS installed,
@@ -398,7 +398,7 @@ CREATE VIEW pg_available_extension_versions AS
            E.schema, E.requires, E.comment
       FROM pg_available_extension_versions() AS E
            LEFT JOIN pg_extension AS X
-             ON E.name = X.extname AND E.version = X.extversion;
+             ON E.name = X.extname AND E.version = X.extversion ORDER BY E.name, E.version;
 
 CREATE VIEW pg_prepared_xacts AS
     SELECT P.transaction, P.gid, P.prepared,
